// apiClient.js
import axios from 'axios';

// 创建一个自定义的axios实例
const apiClient = axios.create({
  baseURL: import.meta.env.VITE_APP_BASE_API_OTHER, // 你的基础URL
  timeout: 10000,
  headers: {'Content-Type': 'application/json'}
});

console.log(import.meta.env.VITE_APP_BASE_API_OTHER);

// 对外暴露的方法

export function clientGet(endpoint, config = {}) {
  return apiClient.get(endpoint, config);
}

export function clientPost(endpoint, data, config = {}) {
  return apiClient.post(endpoint, data, config);
}

export function clientPut(endpoint, data, config = {}) {
  return apiClient.put(endpoint, data, config);
}

export function clientDelete(endpoint, config = {}) { // 'delete'是保留字，因此使用'del'
  return apiClient.delete(endpoint, config);
}
